Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class DefaultSemanticController

Direct Known Subclasses:
  PathwaySemanticController

public class DefaultSemanticController
implements SemanticController

todo implement

Method Summary
`boolean` | `canAccept(Compartment compartment, Class c)`
`boolean` | `canAccept(Compartment compartment, DiagramElement de)`
`DiagramElement` | `createInstance(Compartment compartment, Class type, Point point, ViewEditorPane viewEditor)`
`boolean` | `isResizable(DiagramElement diagramElement)`
`Dimension` | `move(Node node, Compartment newParent, Dimension offset)` Moves the specified diagram node to the specified position.
`void` | `moveEdges(Node oldNode, Node newNode)`
`void` | `moveNode(Node oldNode, Node newNode)`
`boolean` | `remove(DiagramElement de)` Removes the diagram element and all related edges.

Method Detail

### canAccept

    public boolean canAccept(Compartment compartment, Class c)

### canAccept

    public boolean canAccept(Compartment compartment, DiagramElement de)

### createInstance

    public DiagramElement createInstance(Compartment compartment, Class type, Point point, ViewEditorPane viewEditor)

### isResizable

    public boolean isResizable(DiagramElement diagramElement)

  returns whether a specified diagram element can be resized.

### move

    public Dimension move(Node node, Compartment newParent, Dimension offset)
                    throws java.lang.Exception

  Moves the specified diagram node to the specified position. If neccessary compartment can be changed.
  returns the actual distance on which the diagram node was moved.

### moveEdges

    public void moveEdges(Node oldNode, Node newNode)
                    throws java.lang.Exception

### moveNode

    public void moveNode(Node oldNode, Node newNode)
                   throws java.lang.Exception

### remove

    public boolean remove(DiagramElement de)
                    throws java.lang.Exception

  Removes the diagram element and all related edges.
  pending if compartment is removed we should remove outer edges for compartment nodes

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM